# eric5.Plugins.CheckerPlugins.CodeStyleChecker.CodeStyleCodeSelectionDialog

Module implementing a dialog to select code style message codes.

### Global Attributes

None

### Classes

CodeStyleCodeSelectionDialog | Class implementing a dialog to select code style message codes.

### Functions

None

## CodeStyleCodeSelectionDialog

Class implementing a dialog to select code style message codes.

### Derived from

QDialog, Ui_CodeStyleCodeSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

CodeStyleCodeSelectionDialog | Constructor
getSelectedCodes | Public method to get a comma separated list of codes selected.

### Static Methods

None

#### CodeStyleCodeSelectionDialog (Constructor)

CodeStyleCodeSelectionDialog(codes, showFixCodes, parent=None)

Constructor

codes
  comma separated list of selected codes (string)
showFixCodes
  flag indicating to show a list of fixable issues (boolean)
parent
  reference to the parent widget (QWidget)

#### CodeStyleCodeSelectionDialog.getSelectedCodes

getSelectedCodes()

Public method to get a comma separated list of codes selected.

Returns:
  comma separated list of selected codes (string)

Up